From 6ec411103838868dc72f836f757206e8ffbaf4d3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 20:40:38 +0000
Subject: [PATCH 1170/2232] Condense get_namespace's match


---

diff --git a/syntax/namespace.rs b/syntax/namespace.rs
index 41a38dd..5f368e8 100644
--- a/syntax/namespace.rs
+++ b/syntax/namespace.rs
@@ -84,12 +84,10 @@ impl<'a> IntoIterator for &'a Namespace {
 impl Api {
     pub fn get_namespace(&self) -> Option<&Namespace> {
         match self {
-            Api::CxxFunction(cfn) => Some(&cfn.ident.cxx.ns),
-            Api::CxxType(cty) => Some(&cty.ident.cxx.ns),
+            Api::CxxFunction(efn) | Api::RustFunction(efn) => Some(&efn.ident.cxx.ns),
+            Api::CxxType(ety) | Api::RustType(ety) => Some(&ety.ident.cxx.ns),
             Api::Enum(enm) => Some(&enm.ident.cxx.ns),
             Api::Struct(strct) => Some(&strct.ident.cxx.ns),
-            Api::RustType(rty) => Some(&rty.ident.cxx.ns),
-            Api::RustFunction(rfn) => Some(&rfn.ident.cxx.ns),
             Api::Impl(_) | Api::Include(_) | Api::TypeAlias(_) => None,
         }
     }

